﻿/****** Object:  Table [dbo].[SchedulerEvents]    Script Date: 09/17/2010 18:36:46 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[SchedulerEvents](
	[EventId] [int] IDENTITY(1,1) NOT NULL,
	[UserId] [int] NOT NULL,
	[JobId] [int] NULL,
	[SchedulerTypeId] [int] NOT NULL,
	[FromDate] [smalldatetime] NULL,
	[ToDate] [smalldatetime] NULL,
	[EventName] [nvarchar](1024) NULL,
	[EventDescription] [nvarchar](2048) NULL,
	[IsBillable] [bit] NOT NULL DEFAULT ((0)),
	[IsTentative] [bit] NOT NULL DEFAULT ((0)),
	[ApprovedUserId] [int] NULL,
	[ApprovedDate] [smalldatetime] NULL,
	[CreatedUserId] [int] NOT NULL,
	[CreatedDate] [smalldatetime] NOT NULL DEFAULT (getdate()),
	[UpdatedUserId] [int] NULL,
	[UpdatedDate] [smalldatetime] NULL,
PRIMARY KEY CLUSTERED 
(
	[EventId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
ALTER TABLE [dbo].[SchedulerEvents]  WITH CHECK ADD FOREIGN KEY([SchedulerTypeId])
REFERENCES [dbo].[SchedulerTypes] ([SchedulerTypeId])
GO